meanGeneration.BigBang {galgo} | R Documentation

## Computes the mean number of generations requiered to reach a given fitness value

### Description

Computes the mean number of generations requiered to reach a given fitness value. We have seen that this value is actually closer to the median of the final generation.

### Usage

    ## S3 method for class 'BigBang'
    meanGeneration(o, filter="none", subset=TRUE, fitness=o$galgo$goalFitness, ...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable). If it is a numeric vector length one, a positive value means take those top chromosomes sorted by fitness, a negative value take those at bottom.
`fitness` | The fitness value desired. The default is `$galgo$goalFitness`.

### Details

This function use `meanFitness` to compute the mean number of generations from solutions, then it finds the generation whose fitness mean value is not below the specified fitness.

### Value

Return the expected mean generation.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*meanFitness()`

### Examples

    ## Not run:
       #bb is a BigBang object
       meanGeneration(bb)

    ## End(Not run)

[Package galgo version 1.4 Index]